Productsup

Upload an export template logo

Uploads a logo for an export template as a multipart file upload. The logo is displayed with channels created from the template in the ProductsUp platform. **Publishing required.** This request stores a draft. The change becomes available in the ProductsUp platform only after you publish the export template with `POST /V1/export-templates/{id}/commit`.

POST
/V1/export-templates/{id}/logo

Path Parameters

id*integer

Export template ID.

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

uploadfile*string

The logo file to upload

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://export-template-api.productsup.com/V1/export-templates/0/logo" \  -F uploadfile="string"
Empty

"{\"message\": \"File is too large. Maximum allowed size is 5 MB.\"}"

{
  "message": "Access denied"
}
{
  "message": "Export template with id 00000 not found."
}
{
  "message": "string"
}